cURL
curl --request GET \
--url https://api.langtail.com/v2/threads/{threadId}/messages/{messageId} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.langtail.com/v2/threads/{threadId}/messages/{messageId}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.langtail.com/v2/threads/{threadId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"threadId": "<string>",
"content": [
{
"role": "user",
"content": "Hello"
}
],
"metadata": {},
"requestLog": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"request": {},
"response": {}
},
"requestLogId": "<string>"
}{
"error": {
"message": "Thread not found, message not in thread, or message does not exist"
}
}Assistant messages in threads
Get Thread Message
Retrieves a specific message from a thread.
GET
/
v2
/
threads
/
{threadId}
/
messages
/
{messageId}
cURL
This endpoint allows you to retrieve a specific message from a thread using its unique identifier. It provides detailed information about the message, including its content, creation time, and associated metadata.
Headers
Your Langtail API Key
Example:
"<LANGTAIL_API_KEY>"
Path Parameters
The ID of the thread containing the message.
The ID of the message to retrieve.
Response
Successful response
The unique identifier for the message.
The timestamp when the message was created.
The ID of the thread this message belongs to.
Additional messages. These will be appended to the Prompt Template.
Show child attributes
Show child attributes
Example:
[{ "role": "user", "content": "Hello" }]
A key-value store for additional metadata associated with the message.
Show child attributes
Show child attributes
Information about the request log, if available.
Show child attributes
Show child attributes
The unique identifier for the request log, if available.
Was this page helpful?